﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Security.Claims;
using System.Text;
using Microsoft.AspNetCore.Identity;

namespace iPackage.Core.Web.Models.Entity
{
    public class Role : IdentityRole<int>
    {
        [Required]
        public string Description { get; set; }
        [NotMapped]
        public List<Claim> Claims { get; set; }
    }
}
