﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using iPackage.Core.Web.Models.Entity;
using iPackage.Models.Api;
using iPackage.Models.Service;

namespace iPackage.Core.Web.Services.Contracts
{
    public interface IJWTService : IScopedDependency
    {
        Task<AccessToken> Generate(Admin user);
        Task<AccessToken<TUser>> Generate<TUser>(Admin user);
    }
}
