﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace iPackage.Models.Entity
{
    public interface IApiEntity
    {
        bool IsRemoved { get; set; }
        DateTime CreationTime { get; set; }
        DateTime RemoveTime { get; set; }
    }
    public abstract class ApiEntity : IApiEntity
    {
        [Display(Name = "حذف شده")]
        public bool IsRemoved { get; set; }
        [Display(Name = "تاریخ ساخت")]
        public DateTime CreationTime { get; set; }
        [Display(Name = "تاریخ حذف")]
        public DateTime RemoveTime { get; set; }
    }
}
