﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;
using Microsoft.AspNetCore.Identity;

namespace iPackage.Core.Web.Models.Entity
{
    public enum Gender
    {
        Mail,
        Femail
    }
    public class Admin : IdentityUser<int>
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public DateTime BirthDate { get; set; }
        public string ConnectionId { get; set; }
        public bool IsConnected { get; set; }
        public bool IsRemoved { get; set; }
        public DateTime CreationTime { get; set; }
        public DateTime RemoveTime { get; set; }

        public Gender Gender { get; set; }
        [NotMapped]
        public string Password { get; set; }
    }
}
