﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using iPackage.Models.Service;

namespace iPackage.Core.Web.Services.Contracts
{
    public interface IDbService : IScopedDependency
    {
        void Initialize();
        string CreateBackUp();
        List<string> GetBackUps();
        bool RestoreBackUp(string backUpId);
        bool RemoveBackUp(string backUpId);
    }
}
