﻿using System;
using System.Collections.Generic;
using System.Text;
using AutoMapper;

namespace iPackage.Models.Dto
{
    public class CustomMappingProfile : Profile
    {
        public CustomMappingProfile(IEnumerable<IMapperConf> mapperConfs)
        {
            foreach (var mapperConf in mapperConfs)
                mapperConf.MapperConfig(this);
        }
    }
}
