﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace iPackage.Models.Util
{
    public class ChartUnit
    {
        public List<long> Values { get; set; } = new List<long>();

        public List<string> ValuesStr
        {
            get
            {
                return Values.Select(v => v.ToString()).ToList();
            }
        }

        public List<string> Labels { get; set; } = new List<string>();
    }
    public class ChartUnit<TValue>
    {
        public List<TValue> Values { get; set; } = new List<TValue>();
        public List<string> ValuesStr
        {
            get
            {
                return Values.Select(v => v.ToString()).ToList();
            }
        }
        public List<string> Labels { get; set; } = new List<string>();
    }
}
